Subject: WG Action: Common Control and Measurement Plane (ccamp)

From: The IESG <[email-masked]>
Date: Fri, 02 Feb 2001 10:43:26 -0500

A new working group has been formed in the General Area of
the IETF. For additional information, contact the Area Director
or the WG Chairs.

Common Control and Measurement Plane (ccamp)
--------------------------------------------
 
 Current Status: Active Working Group
 
 Chair(s):
     Kireeti Kompella <[email-masked]>
     Vijay Gill <[email-masked]>
 
 General Area Director(s): 
     Fred Baker  <[email-masked]>
 
 General Area Advisor: 
     Fred Baker  <[email-masked]>
 
 Technical Advisor(s):
     Randy Bush  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe ccamp
     Archive:           ftp://ops.ietf.org/pub/lists/
 
Description of Working Group:
 
Note: this WG is one of a set of WGs that comprise the 'sub-IP'
pseudo-area that the IESG recently created. All of the sub-IP WGs are
temporarily being housed in the General Area until the IESG decides on
a final management structure for managing these groups. The Area
Directors for the following areas acting as a group will be the Area
Advisors: INT, OPS, RTG and TSV.  The name(s) listed above under
"Technical Advisor(s)" are the the responsible Area Directors for the
working group.

Organizational Overview

The CCAMP working group coordinates the work within the IETF defining a
common control plane and a separate common measurement plane for ISP and 
SP core tunneling technologies.

CCAMP WG tasks include:

- Define signalling protocols and measurement protocols such that they
  support multiple physical path and tunnel technologies (e.g. O-O and
  O-E-O optical switches, ATM and Frame Relay switches, MPLS, GRE) using
  input from technology-specific working groups such as MPLS, IPO, etc.

- Define signalling and measurement protocols that are independent of
  each other.  This allows applications other than the signalling 
  protocol to use the measurement protocol; it also allows the 
  signalling protocol to use knowledge obtained by means other than the 
  measurement protocol.

- Develop and define a set of protocol-independent metrics and
  parameters for describing links and paths that can be carried in 
  protocols.  These will be developed in conjunction with requests and 
  requirements from other WGs (e.g., TEWG, PPVPN, etc.) to insure 
  overall usefulness.

- Abstract link and path properties needed for link and path protection.
  Define signalling mechanisms for path protection, diverse routing and
  fast path restoration.  Ensure that multi-layer path protection and
  restoration functions are achievable using the defined signalling and
  measurement protocols, either separately or in combination.

- Define how the properties of network resources gathered by the
  measurement protocol can be distributed in existing routing protocols, 
  such as OSPF and IS-IS.

- Define the relationship between layer 3 routing protocols and the
  common signalling protocol for establishing and maintaining paths.

- Using input from the TE working group, ensure that the signalling and
  measurement protocols provide both the information and the control
  functions adequate to support the traffic provisioning and engineering
  operations of service providers.

In doing this work, the WG will work closely with at least the following
other WGs and constituencies: TEWG, PPVPN, IPO, MPLS, IPORPR, ISIS, 
OSPF, and GSMP.
 
 Goals and Milestones: 
 
   Jan 01       Post strawman WG goals and charter                             

   Feb 01       Begin discussion of the framework and the requirement documents
                for signalling and for measurement                             

   Feb 01       Identify and document a limited set of candidate solutions for 
                signalling and for measurement.  Among candidate control 
                solutions to be considered are the existing GMPLS drafts.     

   Mar 01       Build appropriate design teams                                 

   Apr 01       Submit Initial framework and requirement documents             

   May 01       Submit WG document defining path setup portions of common 
                control plane protocol                                         

   May 01       Submit WG document defining common measurement plane protocol  

   May 01       Submit revised charter and milestones to IESG for IESG 
                consideration of more detailed deliverables and determination 
                of usefulness of continuation of WG